# $Revision: 1.2 $, $Date: 2002/09/07 05:53:07 $
%define		_modname	bcompiler
Summary:	%{_modname} - A bytecode compiler for classes
Summary(pl):	%{_modname} - Kompilator kodu bajtowego dla klas
Name:		php-pear-%{_modname}
Version:	0.4
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_modname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	libtool
BuildRequires:	php-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/php
%define		extensionsdir	%{_libdir}/php

%description
bcompiler enables you to encode your scripts in phpbytecode, enabling
you to protect the source. bcompiler could be used in the following
situations:
- to create a exe file of a PHP-GTK application (in conjunction with
  other software)
- to create closed source libraries
- to provide clients with time expired software (prior to payment)
- to deliver close source applications
- for use on embedded systems, where disk space is a priority.

%description -l pl
bcompiler pozwala na zakodowanie skryptw do kodu bajtowego PHP,
pozwalajc na chronienie zwojego kodu. bcompiler moe by uywany w
nastpujcych sytuacjach:
- tworzenie plikw exe dla aplikacji PHP-GTK (w poczeniu z innym
  oprogramowaniem),
- tworzenie bibliotek z zamknitym kodem,
- tworzenie oprogramowania z ograniczonym czasem dziaania (zalenym
  od opat),
- dostarczanie aplikacji o zamknitym kodzie,
- uycie na systemach embedded, gdzie wielko jest priorytetem.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
cp -f config.m4.old config.m4
cp -f Makefile.in.old Makefile.in
phpize
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{extensionsdir}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/php-module-install install %{_modname} %{_sysconfdir}/php-cgi.ini

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/php-module-install remove %{_modname} %{_sysconfdir}/php-cgi.ini
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples/*
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-bcompiler.spec,v $
Revision 1.2  2002/09/07 05:53:07  blues
- 0.4 (beta) - this version should work now... STBR

Revision 1.1  2002/07/27 13:51:09  blues
- initial release
- can we initialize php module only in php-cgi.ini ?
STBR

